Skip to main content
POST
/
v1
/
entities.list
Typescript (SDK)
import { Autumn } from 'autumn-js'

const autumn = new Autumn()

const result = await autumn.entities.list({});
{
  "list": [
    {
      "id": "seat_42",
      "name": "Seat 42",
      "customer_id": "cus_123",
      "feature_id": "seats",
      "created_at": 1771409161016,
      "env": "sandbox",
      "subscriptions": [
        {
          "plan_id": "pro_plan",
          "auto_enable": true,
          "add_on": false,
          "status": "active",
          "past_due": false,
          "canceled_at": null,
          "expires_at": null,
          "trial_ends_at": null,
          "started_at": 1771431921437,
          "current_period_start": 1771431921437,
          "current_period_end": 1771999921437,
          "quantity": 1
        }
      ],
      "purchases": [],
      "balances": {
        "messages": {
          "feature_id": "messages",
          "granted": 100,
          "remaining": 72,
          "usage": 28,
          "unlimited": false,
          "overage_allowed": false,
          "max_purchase": null,
          "next_reset_at": 1773851121437,
          "breakdown": [
            {
              "id": "cus_ent_39qmLooixXLAqMywgXywjAz96rV",
              "plan_id": "pro_plan",
              "included_grant": 100,
              "prepaid_grant": 0,
              "remaining": 72,
              "usage": 28,
              "unlimited": false,
              "reset": {
                "interval": "month",
                "resets_at": 1773851121437
              },
              "price": null,
              "expires_at": null
            }
          ]
        }
      },
      "invoices": []
    }
  ],
  "has_more": false,
  "offset": 0,
  "total": 1,
  "limit": 10,
  "total_count": 100,
  "total_filtered_count": 42
}

Documentation Index

Fetch the complete documentation index at: https://docs.useautumn.com/llms.txt

Use this file to discover all available pages before exploring further.

Body Parameters

Response

{
  "list": [
    {
      "id": "seat_42",
      "name": "Seat 42",
      "customer_id": "cus_123",
      "feature_id": "seats",
      "created_at": 1771409161016,
      "env": "sandbox",
      "subscriptions": [
        {
          "plan_id": "pro_plan",
          "auto_enable": true,
          "add_on": false,
          "status": "active",
          "past_due": false,
          "canceled_at": null,
          "expires_at": null,
          "trial_ends_at": null,
          "started_at": 1771431921437,
          "current_period_start": 1771431921437,
          "current_period_end": 1771999921437,
          "quantity": 1
        }
      ],
      "purchases": [],
      "balances": {
        "messages": {
          "feature_id": "messages",
          "granted": 100,
          "remaining": 72,
          "usage": 28,
          "unlimited": false,
          "overage_allowed": false,
          "max_purchase": null,
          "next_reset_at": 1773851121437,
          "breakdown": [
            {
              "id": "cus_ent_39qmLooixXLAqMywgXywjAz96rV",
              "plan_id": "pro_plan",
              "included_grant": 100,
              "prepaid_grant": 0,
              "remaining": 72,
              "usage": 28,
              "unlimited": false,
              "reset": {
                "interval": "month",
                "resets_at": 1773851121437
              },
              "price": null,
              "expires_at": null
            }
          ]
        }
      },
      "invoices": []
    }
  ],
  "has_more": false,
  "offset": 0,
  "total": 1,
  "limit": 10,
  "total_count": 100,
  "total_filtered_count": 42
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-version
string
default:2.2.0
required

Body

application/json
offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 9007199254740991
limit
integer
default:10

Number of items to return. Default 10, max 1000.

Required range: 1 <= x <= 1000
plans
object[]

Filter by plan ID and version. Returns entities with active subscriptions to this plan, including plans inherited from the parent customer.

subscription_status
enum<string>

Filter customer products used for entity hydration and plan matching. Defaults to active and scheduled.

Available options:
active,
scheduled

Search entities by id or name.

processors
enum<string>[]

Filter by parent customer processor type (stripe, revenuecat, vercel).

Available options:
stripe,
revenuecat,
vercel

Response

200 - application/json

OK

list
object[]
required

Array of items for current page

has_more
boolean
required

Whether more results exist after this page

offset
number
required

Current offset position

limit
number
required

Limit passed in the request

total
number
required

Total number of items returned in the current page

total_count
number
required

Total number of entities available in the current organization and environment

total_filtered_count
number
required

Total number of entities matching the current filter before pagination is applied